net::InterfaceIPv6Info Struct Reference

Interface specific IPv6 info. More...

`import"Net.idl";`

## Public Attributes

boolean | enabled
| `true` if IPv6 is enabled
IpConfigMethod | configMethod
| Interface configuration method.
vector< IpAddrCidr > | addrsCidr
| List of active IPv6 addresses with prefix length.
string | dhcpServerId
| DHCPv6 server id or empty.
string | dhcpPreferredHostname
| Preferred hostname (only used with DHCP)
boolean | raManaged
| "Managed" flag set in router announcements
boolean | raOtherConf
| "OtherConf" flag set in router announcements

## Detailed Description

Interface specific IPv6 info.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Net.idl